package be.iminds.ilabt.jfed.lib;

import be.iminds.ilabt.jfed.lowlevel.connection.ConnectionBuilderFactory;
import be.iminds.ilabt.jfed.lowlevel.connection_pool.SfaConnectionPool;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import be.iminds.ilabt.jfed.util.lib.JFedPasswordManager;
import be.iminds.ilabt.jfed.util.library.JFedTrustStore;

import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 7/7/2015
 * Time: 14:56
 */
@Singleton
public class TestSfaConnectionPool extends SfaConnectionPool {

    @Inject
    public TestSfaConnectionPool(JFedTrustStore baseTrustStore, JFedPreferences jFedPreferences,
                                 ConnectionBuilderFactory connectionBuilderFactory, JFedPasswordManager passwordManager) {
        super(baseTrustStore, jFedPreferences, connectionBuilderFactory, passwordManager);
    }

    @Override
    protected void startAutoExpire() {
        // we don't care for cleanup in our tests
    }
}
